# sctpdec

Decodes packets with SCTP

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──sctpdec

## Factory details

Authors: – George Kiagiadakis

Classification: – `Decoder/Network/SCTP`

Rank – none

Plugin – sctp

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    application/x-sctp:

Presence – always

Direction – sink

Object type – GstPad

### `src_%u`

    ANY

Presence – sometimes

Direction – src

Object type – GstPad

## Action Signals

### reset-stream

    g_signal_emit_by_name (param_0, "reset-stream", arg0);

    ret = param_0.emit ("reset-stream", arg0)

    let ret = param_0.emit ("reset-stream", arg0);

Parameters:

`param_0` (GstElement *) –
No description available
`arg0` (guint) –
No description available

Flags: Run Last / Action

## Properties

### automatic-association-id

    “automatic-association-id” gboolean

Whether a SCTP Association ID should be automatically generated.

Flags : Read / Write

Default value : false

Since : 1.28

### local-sctp-port

    “local-sctp-port” guint

Local sctp port for the sctp association. The remote port is configured via the GstSctpEnc element.

Flags : Read / Write

Default value : 0

### sctp-association-id

    “sctp-association-id” guint

Every encoder/decoder pair should have the same, unique, sctp-association-id. This value must be set before any pads are requested.

Flags : Read / Write

Default value : 1

The results of the search are